diff --git chart2/source/model/template/AreaChartType.cxx chart2/source/model/template/AreaChartType.cxx
index db529a7..3a562f0 100644
--- chart2/source/model/template/AreaChartType.cxx
+++ chart2/source/model/template/AreaChartType.cxx
@@ -33,8 +33,72 @@
 #include "AreaChartType.hxx"
 #include "macros.hxx"
 #include "servicenames_charttypes.hxx"
+#include "PropertyHelper.hxx"
+#include "ContainerHelper.hxx"
+
+#include <com/sun/star/beans/PropertyAttribute.hpp>
 
 using namespace ::com::sun::star;
+using ::com::sun::star::beans::Property;
+using ::com::sun::star::uno::Sequence;
+
+namespace
+{
+
+enum
+{
+    PROP_AREACHARTTYPE_STACKED,
+    PROP_AREACHARTTYPE_PERCENT
+};
+
+void lcl_AddPropertiesToVector(
+    ::std::vector< Property > & rOutProperties )
+{
+    rOutProperties.push_back(
+        Property( C2U( "Stacked" ),
+                  PROP_AREACHARTTYPE_STACKED,
+                  ::getBooleanCppuType(),
+                  beans::PropertyAttribute::BOUND
+                  | beans::PropertyAttribute::MAYBEDEFAULT ));
+    rOutProperties.push_back(
+        Property( C2U( "Percent" ),
+                  PROP_AREACHARTTYPE_PERCENT,
+                  ::getBooleanCppuType(),
+                  beans::PropertyAttribute::BOUND
+                  | beans::PropertyAttribute::MAYBEDEFAULT ));
+}
+
+void lcl_AddDefaultsToMap(
+    ::chart::tPropertyValueMap & rOutMap )
+{
+    ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_AREACHARTTYPE_STACKED, false );
+    ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_AREACHARTTYPE_PERCENT, false );
+}
+
+const Sequence< Property > & lcl_GetPropertySequence()
+{
+    static Sequence< Property > aPropSeq;
+
+    // /--
+    ::osl::MutexGuard aGuard( ::osl::Mutex::getGlobalMutex() );
+    if( 0 == aPropSeq.getLength() )
+    {
+        // get properties
+        ::std::vector< ::com::sun::star::beans::Property > aProperties;
+        lcl_AddPropertiesToVector( aProperties );
+
+        // and sort them for access via bsearch
+        ::std::sort( aProperties.begin(), aProperties.end(),
+                     ::chart::PropertyNameLess() );
+
+        // transfer result to static Sequence
+        aPropSeq = ::chart::ContainerHelper::ContainerToSequence( aProperties );
+    }
+
+    return aPropSeq;
+}
+
+} // anonymous namespace
 
 namespace chart
 {
@@ -65,6 +129,56 @@ uno::Reference< util::XCloneable > SAL_CALL AreaChartType::createClone()
     return CHART2_SERVICE_NAME_CHARTTYPE_AREA;
 }
 
+// ____ OPropertySet ____
+uno::Any AreaChartType::GetDefaultValue( sal_Int32 nHandle ) const
+    throw(beans::UnknownPropertyException)
+{
+    static tPropertyValueMap aStaticDefaults;
+
+    // /--
+    ::osl::MutexGuard aGuard( ::osl::Mutex::getGlobalMutex() );
+    if( 0 == aStaticDefaults.size() )
+    {
+        // initialize defaults
+        lcl_AddDefaultsToMap( aStaticDefaults );
+    }
+
+    tPropertyValueMap::const_iterator aFound(
+        aStaticDefaults.find( nHandle ));
+
+    if( aFound == aStaticDefaults.end())
+        return uno::Any();
+
+    return (*aFound).second;
+    // \--
+}
+
+::cppu::IPropertyArrayHelper & SAL_CALL AreaChartType::getInfoHelper()
+{
+    static ::cppu::OPropertyArrayHelper aArrayHelper( lcl_GetPropertySequence(),
+                                                      /* bSorted = */ sal_True );
+
+    return aArrayHelper;
+}
+
+// ____ XPropertySet ____
+uno::Reference< beans::XPropertySetInfo > SAL_CALL AreaChartType::getPropertySetInfo()
+    throw (uno::RuntimeException)
+{
+    static uno::Reference< beans::XPropertySetInfo > xInfo;
+
+    // /--
+    ::osl::MutexGuard aGuard( ::osl::Mutex::getGlobalMutex() );
+    if( !xInfo.is())
+    {
+        xInfo = ::cppu::OPropertySetHelper::createPropertySetInfo(
+            getInfoHelper());
+    }
+
+    return xInfo;
+    // \--
+}
+
 uno::Sequence< ::rtl::OUString > AreaChartType::getSupportedServiceNames_Static()
 {
     uno::Sequence< ::rtl::OUString > aServices( 2 );
diff --git chart2/source/model/template/AreaChartType.hxx chart2/source/model/template/AreaChartType.hxx
index 9783074..d3f905d 100644
--- chart2/source/model/template/AreaChartType.hxx
+++ chart2/source/model/template/AreaChartType.hxx
@@ -56,6 +56,16 @@ protected:
     virtual ::rtl::OUString SAL_CALL getChartType()
         throw (::com::sun::star::uno::RuntimeException);
 
+    // ____ OPropertySet ____
+    virtual ::com::sun::star::uno::Any GetDefaultValue( sal_Int32 nHandle ) const
+        throw(::com::sun::star::beans::UnknownPropertyException);
+    virtual ::cppu::IPropertyArrayHelper & SAL_CALL getInfoHelper();
+
+    // ____ XPropertySet ____
+    virtual ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertySetInfo > SAL_CALL
+        getPropertySetInfo()
+        throw (::com::sun::star::uno::RuntimeException);
+
     // ____ XCloneable ____
     virtual ::com::sun::star::uno::Reference< ::com::sun::star::util::XCloneable > SAL_CALL createClone()
         throw (::com::sun::star::uno::RuntimeException);
diff --git chart2/source/model/template/AreaChartTypeTemplate.cxx chart2/source/model/template/AreaChartTypeTemplate.cxx
index 98874ef..f7d24a5 100644
--- chart2/source/model/template/AreaChartTypeTemplate.cxx
+++ chart2/source/model/template/AreaChartTypeTemplate.cxx
@@ -48,6 +48,8 @@ using ::com::sun::star::beans::Property;
 using ::com::sun::star::uno::Sequence;
 using ::com::sun::star::uno::Reference;
 using ::com::sun::star::uno::Any;
+using ::com::sun::star::uno::UNO_QUERY;
+using ::com::sun::star::uno::UNO_QUERY_THROW;
 using ::osl::MutexGuard;
 
 namespace
@@ -275,6 +277,7 @@ Reference< chart2::XChartType > SAL_CALL AreaChartTypeTemplate::getChartTypeForN
 {
     Reference< chart2::XChartType > xResult( getChartTypeForIndex( 0 ) );
     ChartTypeTemplate::copyPropertiesFromOldToNewCoordianteSystem( aFormerlyUsedChartTypes, xResult );    
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/BarChartTypeTemplate.cxx chart2/source/model/template/BarChartTypeTemplate.cxx
index e6382d5..0e5904d 100644
--- chart2/source/model/template/BarChartTypeTemplate.cxx
+++ chart2/source/model/template/BarChartTypeTemplate.cxx
@@ -221,6 +221,7 @@ Reference< chart2::XChartType > SAL_CALL BarChartTypeTemplate::getChartTypeForNe
 {
     Reference< chart2::XChartType > xResult( getChartTypeForIndex( 0 ) );
     ChartTypeTemplate::copyPropertiesFromOldToNewCoordianteSystem( aFormerlyUsedChartTypes, xResult );    
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/ChartTypeTemplate.cxx chart2/source/model/template/ChartTypeTemplate.cxx
index 9d6524e..fb0cff0 100644
--- chart2/source/model/template/ChartTypeTemplate.cxx
+++ chart2/source/model/template/ChartTypeTemplate.cxx
@@ -62,6 +62,7 @@ using ::rtl::OUString;
 using ::com::sun::star::uno::Sequence;
 using ::com::sun::star::uno::Reference;
 using ::com::sun::star::uno::Any;
+using ::com::sun::star::uno::UNO_QUERY;
 
 // ======================================================================
 
@@ -943,6 +944,48 @@ void ChartTypeTemplate::copyPropertiesFromOldToNewCoordianteSystem(
         comphelper::copyProperties( xSource, xDestination );
 }
 
+void ChartTypeTemplate::setStackModePropertiesToChartType(const Reference<XChartType>& xChartType)
+{
+    Reference<beans::XPropertySet> xPropSet(xChartType, UNO_QUERY);
+    if (!xPropSet.is())
+        return;
+
+    bool bStacked = false;
+    bool bPercent = false;
+    switch (getStackMode(0))
+    {
+        case StackMode_Y_STACKED:
+            bStacked = true;
+        break;
+        case StackMode_Y_STACKED_PERCENT:
+            bStacked = true;
+            bPercent = true;
+        break;
+        case StackMode_Z_STACKED:
+        break;
+        default:
+            ;
+    }
+
+    try
+    {
+        xPropSet->setPropertyValue(
+            C2U("Stacked"), uno::makeAny(static_cast<sal_Bool>(bStacked)));
+    }
+    catch (const beans::UnknownPropertyException&)
+    {
+    }
+
+    try
+    {
+        xPropSet->setPropertyValue(
+            C2U("Percent"), uno::makeAny(static_cast<sal_Bool>(bPercent)));
+    }
+    catch (const beans::UnknownPropertyException&) 
+    {
+    }
+}
+
 // ________
 
 Sequence< OUString > ChartTypeTemplate::getSupportedServiceNames_Static()
diff --git chart2/source/model/template/ChartTypeTemplate.hxx chart2/source/model/template/ChartTypeTemplate.hxx
index d8b2b7b..0469478 100644
--- chart2/source/model/template/ChartTypeTemplate.hxx
+++ chart2/source/model/template/ChartTypeTemplate.hxx
@@ -272,6 +272,11 @@ protected:
                     const ::com::sun::star::uno::Reference<
                           ::com::sun::star::chart2::XChartType > & xNewChartType );
 
+    void setStackModePropertiesToChartType(
+        const ::com::sun::star::uno::Reference<
+            ::com::sun::star::chart2::XChartType>& xChartType );
+
+
 protected:
     ::com::sun::star::uno::Reference< ::com::sun::star::uno::XComponentContext >
         m_xContext;
diff --git chart2/source/model/template/ColumnChartType.cxx chart2/source/model/template/ColumnChartType.cxx
index ed5aea8..a326aa4 100644
--- chart2/source/model/template/ColumnChartType.cxx
+++ chart2/source/model/template/ColumnChartType.cxx
@@ -49,7 +49,9 @@ namespace
 enum
 {
     PROP_BARCHARTTYPE_OVERLAP_SEQUENCE,
-    PROP_BARCHARTTYPE_GAPWIDTH_SEQUENCE
+    PROP_BARCHARTTYPE_GAPWIDTH_SEQUENCE,
+    PROP_BARCHARTTYPE_STACKED,
+    PROP_BARCHARTTYPE_PERCENT
 };
 
 void lcl_AddPropertiesToVector(
@@ -68,6 +70,19 @@ void lcl_AddPropertiesToVector(
                   ::getCppuType( reinterpret_cast< const Sequence< sal_Int32 > * >(0)),
                   beans::PropertyAttribute::BOUND
                   | beans::PropertyAttribute::MAYBEDEFAULT ));
+
+    rOutProperties.push_back(
+        Property( C2U( "Stacked" ),
+                  PROP_BARCHARTTYPE_STACKED,
+                  ::getBooleanCppuType(),
+                  beans::PropertyAttribute::BOUND
+                  | beans::PropertyAttribute::MAYBEDEFAULT ));
+    rOutProperties.push_back(
+        Property( C2U( "Percent" ),
+                  PROP_BARCHARTTYPE_PERCENT,
+                  ::getBooleanCppuType(),
+                  beans::PropertyAttribute::BOUND
+                  | beans::PropertyAttribute::MAYBEDEFAULT ));
 }
 
 void lcl_AddDefaultsToMap(
@@ -80,6 +95,9 @@ void lcl_AddDefaultsToMap(
 
     aSeq[0] = aSeq[1] = 100;
     ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_BARCHARTTYPE_GAPWIDTH_SEQUENCE, aSeq );
+
+    ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_BARCHARTTYPE_STACKED, false );
+    ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_BARCHARTTYPE_PERCENT, false );
 }
 
 const Sequence< Property > & lcl_GetPropertySequence()
diff --git chart2/source/model/template/ColumnLineChartTypeTemplate.cxx chart2/source/model/template/ColumnLineChartTypeTemplate.cxx
index 54e7ea8..4d92176 100644
--- chart2/source/model/template/ColumnLineChartTypeTemplate.cxx
+++ chart2/source/model/template/ColumnLineChartTypeTemplate.cxx
@@ -410,6 +410,7 @@ Reference< XChartType > SAL_CALL ColumnLineChartTypeTemplate::getChartTypeForNew
         ASSERT_EXCEPTION( ex );
     }
 
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/LineChartType.cxx chart2/source/model/template/LineChartType.cxx
index 05f6b43..274abb0 100644
--- chart2/source/model/template/LineChartType.cxx
+++ chart2/source/model/template/LineChartType.cxx
@@ -54,7 +54,9 @@ enum
 {
     PROP_LINECHARTTYPE_CURVE_STYLE,
     PROP_LINECHARTTYPE_CURVE_RESOLUTION,
-    PROP_LINECHARTTYPE_SPLINE_ORDER
+    PROP_LINECHARTTYPE_SPLINE_ORDER,
+    PROP_LINECHARTTYPE_STACKED,
+    PROP_LINECHARTTYPE_PERCENT
 };
 
 void lcl_AddPropertiesToVector(
@@ -79,6 +81,19 @@ void lcl_AddPropertiesToVector(
                   ::getCppuType( reinterpret_cast< const sal_Int32 * >(0)),
                   beans::PropertyAttribute::BOUND
                   | beans::PropertyAttribute::MAYBEDEFAULT ));
+
+    rOutProperties.push_back(
+        Property( C2U( "Stacked" ),
+                  PROP_LINECHARTTYPE_STACKED,
+                  ::getBooleanCppuType(),
+                  beans::PropertyAttribute::BOUND
+                  | beans::PropertyAttribute::MAYBEDEFAULT ));
+    rOutProperties.push_back(
+        Property( C2U( "Percent" ),
+                  PROP_LINECHARTTYPE_PERCENT,
+                  ::getBooleanCppuType(),
+                  beans::PropertyAttribute::BOUND
+                  | beans::PropertyAttribute::MAYBEDEFAULT ));
 }
 
 void lcl_AddDefaultsToMap(
@@ -90,6 +105,9 @@ void lcl_AddDefaultsToMap(
     // todo: check whether order 3 means polygons of order 3 or 2. (see
     // http://www.people.nnov.ru/fractal/Splines/Basis.htm )
     ::chart::PropertyHelper::setPropertyValueDefault< sal_Int32 >( rOutMap, PROP_LINECHARTTYPE_SPLINE_ORDER, 3 );
+
+    ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_LINECHARTTYPE_STACKED, false );
+    ::chart::PropertyHelper::setPropertyValueDefault( rOutMap, PROP_LINECHARTTYPE_PERCENT, false );
 }
 
 const Sequence< Property > & lcl_GetPropertySequence()
diff --git chart2/source/model/template/LineChartTypeTemplate.cxx chart2/source/model/template/LineChartTypeTemplate.cxx
index 749a3b1..93cd9c8 100644
--- chart2/source/model/template/LineChartTypeTemplate.cxx
+++ chart2/source/model/template/LineChartTypeTemplate.cxx
@@ -336,6 +336,7 @@ Reference< chart2::XChartType > LineChartTypeTemplate::getChartTypeForIndex( sal
         ASSERT_EXCEPTION( ex );
     }
 
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/NetChartTypeTemplate.cxx chart2/source/model/template/NetChartTypeTemplate.cxx
index f21857c..a9bc6bc 100644
--- chart2/source/model/template/NetChartTypeTemplate.cxx
+++ chart2/source/model/template/NetChartTypeTemplate.cxx
@@ -213,6 +213,7 @@ Reference< chart2::XChartType > SAL_CALL NetChartTypeTemplate::getChartTypeForNe
 {
     Reference< chart2::XChartType > xResult( getChartTypeForIndex( 0 ) );
     ChartTypeTemplate::copyPropertiesFromOldToNewCoordianteSystem( aFormerlyUsedChartTypes, xResult );    
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/PieChartTypeTemplate.cxx chart2/source/model/template/PieChartTypeTemplate.cxx
index 8280389..233ae85 100644
--- chart2/source/model/template/PieChartTypeTemplate.cxx
+++ chart2/source/model/template/PieChartTypeTemplate.cxx
@@ -474,6 +474,7 @@ Reference< chart2::XChartType > SAL_CALL PieChartTypeTemplate::getChartTypeForNe
         ASSERT_EXCEPTION( ex );
     }
 
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/ScatterChartTypeTemplate.cxx chart2/source/model/template/ScatterChartTypeTemplate.cxx
index bc384a9..b9e18c9 100644
--- chart2/source/model/template/ScatterChartTypeTemplate.cxx
+++ chart2/source/model/template/ScatterChartTypeTemplate.cxx
@@ -374,6 +374,7 @@ Reference< chart2::XChartType > ScatterChartTypeTemplate::getChartTypeForIndex(
         ASSERT_EXCEPTION( ex );
     }
 
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/model/template/StockChartTypeTemplate.cxx chart2/source/model/template/StockChartTypeTemplate.cxx
index 32c8eea..fc9538a 100644
--- chart2/source/model/template/StockChartTypeTemplate.cxx
+++ chart2/source/model/template/StockChartTypeTemplate.cxx
@@ -527,6 +527,7 @@ Reference< XChartType > SAL_CALL StockChartTypeTemplate::getChartTypeForNewSerie
         ASSERT_EXCEPTION( ex );
     }
 
+    setStackModePropertiesToChartType(xResult);
     return xResult;
 }
 
diff --git chart2/source/view/axes/ScaleAutomatism.cxx chart2/source/view/axes/ScaleAutomatism.cxx
index 085d300..57922f1 100644
--- chart2/source/view/axes/ScaleAutomatism.cxx
+++ chart2/source/view/axes/ScaleAutomatism.cxx
@@ -131,7 +131,15 @@ void ScaleAutomatism::calculateExplicitScaleAndIncrement(
     if( bAutoMinimum )
     {
         if( m_aSourceScale.AxisType==AxisType::PERCENT )
+        {
             rExplicitScale.Minimum = 0.0;
+            if (!::rtl::math::isNan(m_fValueMinimum))
+            {
+                double fMin = m_fValueMinimum / 100.0;
+                if (rExplicitScale.Minimum > fMin)
+                    rExplicitScale.Minimum = fMin;
+            }
+        }
         else if( ::rtl::math::isNan( m_fValueMinimum ) )
             rExplicitScale.Minimum = 0.0;   //@todo get Minimum from scaling or from plotter????
         else
@@ -142,7 +150,15 @@ void ScaleAutomatism::calculateExplicitScaleAndIncrement(
     if( bAutoMaximum )
     {
         if( m_aSourceScale.AxisType==AxisType::PERCENT )
+        {
             rExplicitScale.Maximum = 1.0;
+            if (!::rtl::math::isNan(m_fValueMaximum))
+            {
+                double fMax = m_fValueMaximum / 100.0;
+                if (rExplicitScale.Maximum < fMax)
+                    rExplicitScale.Maximum = fMax;
+            }
+        }
         else if( ::rtl::math::isNan( m_fValueMaximum ) )
             rExplicitScale.Maximum = 10.0;  //@todo get Maximum from scaling or from plotter????
         else
diff --git chart2/source/view/charttypes/AreaChart.cxx chart2/source/view/charttypes/AreaChart.cxx
index f8bc0f0..159f665 100644
--- chart2/source/view/charttypes/AreaChart.cxx
+++ chart2/source/view/charttypes/AreaChart.cxx
@@ -603,6 +603,19 @@ struct FormerPoint
 
 void AreaChart::createShapes()
 {
+    sal_Bool bPercent = sal_False;
+    uno::Reference< beans::XPropertySet > xPropSet(m_xChartTypeModel, uno::UNO_QUERY);
+    if (xPropSet.is())
+    {
+        try
+        {
+            xPropSet->getPropertyValue(C2U("Percent")) >>= bPercent;
+        }
+        catch (const beans::UnknownPropertyException&)
+        {
+        }
+    }
+
     if( m_aZSlots.begin() == m_aZSlots.end() ) //no series
         return;
 
@@ -752,9 +765,30 @@ void AreaChart::createShapes()
                     if( m_nDimension==3 && m_bArea && pSeriesList->size()!=1 )
                         fLogicY = fabs( fLogicY );
 
-                    if( pPosHelper->isPercentY() && !::rtl::math::approxEqual( aLogicYSumMap[nAttachedAxisIndex], 0.0 ) )
+                    if (bPercent)
+                    {     
+                        // This data series is percent-stacked.
+
+                        if (::rtl::math::approxEqual(aLogicYSumMap[nAttachedAxisIndex], 0.0))
+                            fLogicY = 0.0;
+                        else
+                            fLogicY = fabs( fLogicY )/aLogicYSumMap[nAttachedAxisIndex];
+
+                        if (!pPosHelper->isPercentY())
+                        {    
+                            // When the axis itself is not percent-stacked,
+                            // their internal range value is 0 - 100.  So we
+                            // need to adjust the data point values
+                            // accordingly.
+                            fLogicY *= 100.0;
+                        }
+                    }
+                    else if (pPosHelper->isPercentY())
                     {
-                        fLogicY = fabs( fLogicY )/aLogicYSumMap[nAttachedAxisIndex];
+                        // The data series is not percent-stacked, but the
+                        // axis itself is.  In this case, the axis' internal
+                        // range is 0 to 1.  Adjust the data point values.
+                        fLogicY /= 100.0;
                     }
 
                     if(    ::rtl::math::isNan(fLogicX) || ::rtl::math::isInf(fLogicX)
diff --git chart2/source/view/charttypes/BarChart.cxx chart2/source/view/charttypes/BarChart.cxx
index f57ffa7..124d4af 100644
--- chart2/source/view/charttypes/BarChart.cxx
+++ chart2/source/view/charttypes/BarChart.cxx
@@ -466,6 +466,19 @@ void BarChart::adaptOverlapAndGapwidthForGroupBarsPerAxis()
 
 void BarChart::createShapes()
 {
+    uno::Reference< beans::XPropertySet > xPropSet(m_xChartTypeModel, uno::UNO_QUERY);
+    sal_Bool bPercent = sal_False;
+    if (xPropSet.is())
+    {
+        try
+        {
+            xPropSet->getPropertyValue(C2U("Percent")) >>= bPercent;
+        }
+        catch (const beans::UnknownPropertyException&)
+        {
+        }
+    }
+
     if( m_aZSlots.begin() == m_aZSlots.end() ) //no series
         return;
 
diff --git chart2/source/view/charttypes/VSeriesPlotter.cxx chart2/source/view/charttypes/VSeriesPlotter.cxx
index 67cac8b..8a246ba 100644
--- chart2/source/view/charttypes/VSeriesPlotter.cxx
+++ chart2/source/view/charttypes/VSeriesPlotter.cxx
@@ -1149,6 +1149,23 @@ double VSeriesPlotter::getMaximumX()
 
 double VSeriesPlotter::getMinimumYInRange( double fMinimumX, double fMaximumX, sal_Int32 nAxisIndex )
 {
+    sal_Bool bPercent = sal_False;
+    uno::Reference< beans::XPropertySet > xPropSet(m_xChartTypeModel, uno::UNO_QUERY);
+    if (xPropSet.is())
+    {
+        try
+        {
+            xPropSet->getPropertyValue(C2U("Percent")) >>= bPercent;
+        }
+        catch (const beans::UnknownPropertyException&)
+        {
+        }
+    }
+
+    if (bPercent)
+        // This plotter is percent-stacked.
+        return 0.0;
+
     if( !m_bCategoryXAxis )
     {
         double fMinY, fMaxY;
@@ -1183,6 +1200,23 @@ double VSeriesPlotter::getMinimumYInRange( double fMinimumX, double fMaximumX, s
 
 double VSeriesPlotter::getMaximumYInRange( double fMinimumX, double fMaximumX, sal_Int32 nAxisIndex )
 {
+    sal_Bool bPercent = sal_False;
+    uno::Reference< beans::XPropertySet > xPropSet(m_xChartTypeModel, uno::UNO_QUERY);
+    if (xPropSet.is())
+    {
+        try
+        {
+            xPropSet->getPropertyValue(C2U("Percent")) >>= bPercent;
+        }
+        catch (const beans::UnknownPropertyException&)
+        {
+        }
+    }
+
+    if (bPercent)
+        // This plotter is percent-stacked.
+        return 100.0;
+
     if( !m_bCategoryXAxis )
     {
         double fMinY, fMaxY;
diff --git chart2/source/view/main/ChartView.cxx chart2/source/view/main/ChartView.cxx
index 09d510f..b5af9db 100644
--- chart2/source/view/main/ChartView.cxx
+++ chart2/source/view/main/ChartView.cxx
@@ -1751,7 +1751,15 @@ sal_Int32 lcl_getExplicitNumberFormatKeyForAxis(
                     if( nDimensionIndex == 0 )
                         aRoleToMatch = C2U("values-x");
                     Sequence< Reference< XChartType > > aChartTypes( xCTCnt->getChartTypes());
-                    for( sal_Int32 nCTIdx=0; nCTIdx<aChartTypes.getLength(); ++nCTIdx )
+                    sal_Int32 nCTCount = aChartTypes.getLength();
+                    if (nCTCount > 0)
+                        // When multiple chart types share the same axis, always 
+                        // use the first chart type for automatic detection of
+                        // desired number format.  This is in line with the
+                        // fact that the axis type is also determined from the
+                        // first chart type alone.
+                        nCTCount = 1;
+                    for( sal_Int32 nCTIdx=0; nCTIdx<nCTCount; ++nCTIdx )
                     {
                         if( nDimensionIndex != 0 )
                             aRoleToMatch = ChartTypeHelper::getRoleOfSequenceForYAxisNumberFormatDetection( aChartTypes[nCTIdx] );
